﻿Public Class FormTest
    Dim ImagesFolder As String = "\Images\"
    Dim ImagesMask As String = "*.jp*g"
    Dim AppFolder As String = IO.Path.GetDirectoryName(Application.ExecutablePath)

    Private Sub FormTest_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        If IO.Directory.Exists(AppFolder & ImagesFolder) Then
            Dim PathsOfImage() As String = IO.Directory.GetFiles(AppFolder & ImagesFolder, ImagesMask)
            Dim i As Integer
            For i = 0 To PathsOfImage.Length - 1
                lbImageNames.Items.Add(IO.Path.GetFileName(PathsOfImage(i)))
            Next
        End If
    End Sub

    Private Sub lbImageNames_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lbImageNames.SelectedIndexChanged
        If IO.File.Exists(AppFolder & ImagesFolder & lbImageNames.SelectedItem) Then
            pbShowImage.Image = System.Drawing.Image.FromFile(AppFolder & ImagesFolder & lbImageNames.SelectedItem)
        End If
    End Sub

    Private Sub bStartShow_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bStartShow.Click
        tChangeImage.Start()
    End Sub

    Private Sub bStopShow_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bStopShow.Click
        tChangeImage.Stop()
    End Sub

    Private Sub tChangeImage_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tChangeImage.Tick
        Static ImageIndex As Integer = 0
        ImageIndex += 1
        If ImageIndex >= lbImageNames.Items.Count Then ImageIndex = 0
        lbImageNames.SelectedIndex = ImageIndex
    End Sub
End Class
